Bug 850901 - kernel can produce invalid grub conf when installation interrupted
kernel can produce invalid grub conf when installation interrupted
Status: CLOSED WONTFIX
Product: Red Hat Enterprise Linux 7
Classification: Red Hat
Component: grubby (Show other bugs)
7.0
All Linux
unspecified Severity high
: rc
: ---
Assigned To: Peter Jones
Release Test Team
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-08-22 12:57 EDT by Vladimir Benes
Modified: 2014-01-10 10:07 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-01-10 10:07:40 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Vladimir Benes 2012-08-22 12:57:21 EDT
Description of problem:
when pkcon or yum or rpm is killed when installing it can easily happen that default option in grub will be without initrd in the end so one cannot boot default option anymore.
All this should be written after initrd was generated not prior.  

Version-Release number of selected component (if applicable):
kernel-3.5.0-0.24.el7

How reproducible:
always

Steps to Reproduce:
1.run pkcon install kernel
2.when you are somewhere around 60% execute in other terminal pkill pkcon
3. reboot
  
Actual results:
default version is 3.5.0 but initrd is missing in the end of 3.5.0 section and thus system unusable

Expected results:
kernel rpm shouldn't write that info to grub conf prior initrd is ready

Additional info:
Comment 2 Peter Jones 2014-01-09 12:38:05 EST
This isn't possible with the way kernel upgrades are structured at all currently - which isn't to say that you're wrong, but this isn't a bug fix request, it's a major RFE, and needs to be filed in that context instead.
Comment 3 RHEL Product and Program Management 2014-01-10 10:07:40 EST
Development Management has reviewed and declined this request.
You may appeal this decision by reopening this request.

Note You need to log in before you can comment on or make changes to this bug.